Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.olapi.data.source
Class DateSource

    java.lang.Object
      |
      +--oracle.olapi.data.source.Source
            |
            +--oracle.olapi.data.source.DateSource

public final class DateSource
extends Source

A `Source` whose elements have `Date` objects as values. A `DateSource` has an OLAP API data type of Date. This class implements some `Source` methods so that they use `Date` values, such as `appendValue`, and implements other methods that perform Date operations, such as `plusDays`.

Fields inherited from class oracle.olapi.data.source.Source
`COMPARISON_RULE_ASCENDING, COMPARISON_RULE_ASCENDING_NULLS_FIRST, COMPARISON_RULE_ASCENDING_NULLS_LAST, COMPARISON_RULE_DESCENDING, COMPARISON_RULE_DESCENDING_NULLS_FIRST, COMPARISON_RULE_DESCENDING_NULLS_LAST, COMPARISON_RULE_REMOVE, COMPARISON_RULE_SELECT`

Method Summary
`DateSource` | `appendValue(java.util.Date appendValue)` Appends the specified `Date` object to this `DateSource`.
`DateSource` | `appendValues(java.util.Date[] appendValues)` Appends the specified `Date` objects to this `DateSource`.
`BooleanSource` | `eq(java.util.Date rhs)` Compares the value of each element of this `DateSource` to the specified `Date` value and determines they are equal.
`BooleanSource` | `ge(java.util.Date rhs)` Compares the value of each element of this `DateSource` to the specified `Date` value, and determines whether it has a greater or equal value.
`Source` | `getDataType()` Gets the fundamental `Source` that represents the OLAP API data type of this `DateSource`, which is Date.
`BooleanSource` | `gt(java.util.Date rhs)` Compares the value of each element of this `DateSource` to the specified `Date` value, and determines whether it has a greater value.
`BooleanSource` | `le(java.util.Date rhs)` Compares the value of each element of this `DateSource` to the specified `Date` value, and determines whether it has a lesser or equal value.
`BooleanSource` | `lt(java.util.Date rhs)` Compares the value of each element of this `DateSource` to the specified `Date` value, and determines whether it has a lesser value.
`BooleanSource` | `ne(java.util.Date rhs)` Compares the value of each element of this `DateSource` to the specified `Date` value, and determines whether it is not equal to the value.
`DateSource` | `plusDays(int rhs)` Adds the specified number of days to the value of each element of this `DateSource`.
`DateSource` | `plusDays(NumberSource rhs)` Adds the specified number of days to the value of each element of this `DateSource`.
`DateSource` | `plusMonths(int rhs)` Adds the specified number of months to the value of each element of this `DateSource`.
`DateSource` | `plusMonths(NumberSource rhs)` Adds the specified number of months to the value of each element of this `DateSource`.
`NumberSource` | `positionOfValue(java.util.Date value)` Identifies the positions of elements in this `DateSource` that have the specified `Date` values.
`NumberSource` | `positionOfValues(java.util.Date[] values)` Identifies the positions of elements in this `DateSource` that have the specified `Date` values.
`DateSource` | `removeValue(java.util.Date value)` Removes the elements of this `DateSource` that have the specified `Date` value.
`DateSource` | `removeValues(java.util.Date[] values)` Removes the elements of this `DateSource` that have the specified `Date` values.
`DateSource` | `selectValue(java.util.Date value)` Selects the elements of this `DateSource` that have the specified `Date` value.
`DateSource` | `selectValues(java.util.Date[] values)` Selects the elements of this `DateSource` that have the specified `Date` values.

Methods inherited from class oracle.olapi.data.source.Source
`alias, appendValue, appendValues, appendValues, at, at, count, count, cumulativeInterval, cumulativeInterval, cumulativeInterval, distinct, eq, extract, findMatchFor, first, ge, getDataProvider, getDefinition, getExtractionInputs, getID, getInputs, getMetadataProvider, getMetadataProviderID, getModel, getOutputs, getRegularInputs, getType, gt, hasValue, in, interval, interval, isSubtypeOf, join, join, join, join, join, join, join, join, join, join, join, join, join, join, join, join, join, join, join, joinHidden, last, le, lt, movingInterval, movingInterval, ne, nullSource, offset, offset, position, position, positionOfValue, positionOfValues, positionOfValues, recursiveJoin, recursiveJoin, recursiveJoin, recursiveJoin, recursiveJoin, recursiveJoin, recursiveJoin, remove, removeValue, removeValues, removeValues, select, selectDescendants, selectValue, selectValues, selectValues, sortAscending, sortAscending, sortAscending, sortAscendingHierarchically, sortAscendingHierarchically, sortAscendingHierarchically, sortAscendingHierarchically, sortDescending, sortDescending, sortDescending, sortDescendingHierarchically, sortDescendingHierarchically, sortDescendingHierarchically, sortDescendingHierarchically, toDoubleSource, toFloatSource, toIntegerSource, toShortSource, toStringSource, value, value`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### appendValue

    public final DateSource appendValue(java.util.Date appendValue)

  Appends the specified `Date` object to this `DateSource`.
  Parameters:
    `appendValue` - The `Date` to append to this `DateSource`.
  Returns:
    A `DateSource` that has the same elements as this `DateSource` with an appended element that has the specified `Date` as its value.
  See Also:
    `Source.appendValue(Source value)`

### appendValues

    public final DateSource appendValues(java.util.Date[] appendValues)

  Appends the specified `Date` objects to this `DateSource`.
  Parameters:
    `appendValue` - An array of `Date` objects to append to this `DateSource`.
  Returns:
    A `DateSource` that has the same elements as this `DateSource` with appended elements that have the specified `Date` objects as values.
  See Also:
    `Source.appendValue(Source value)`

### eq

    public final BooleanSource eq(java.util.Date rhs)

  Compares the value of each element of this `DateSource` to the specified `Date` value and determines they are equal.
  Parameters:
    `rhs` - The `Date` value that you want to compare to the values of the elements of this `DateSource`.
  Returns:
    A `BooleanSource` that has an element that has a value of `true` when the value of the corresponding element of this `DateSource` equals the specified `Date` value, or `false` when it does not.
  See Also:
    `Source.eq(Source rhs)`

### ge

    public final BooleanSource ge(java.util.Date rhs)

  Compares the value of each element of this `DateSource` to the specified `Date` value, and determines whether it has a greater or equal value. The `BooleanSource` returned by this method has an element that is `true` when the value of a given element of this `DateSource` is greater than or equal to the specified `Date` value, or a value of `false` when it is not.
  Parameters:
    `rhs` - The `Date` value that you want to compare to the values of the elements of this `DateSource`.
  Returns:
    A `BooleanSource` that has an element with a value of `true` when the value of a given element of this `DateSource` is greater than or equal to the specified `Date` value, or `false` when it is not.
  See Also:
    `Source.ge(Source rhs)`

### getDataType

    public Source getDataType()

  Gets the fundamental `Source` that represents the OLAP API data type of this `DateSource`, which is Date.
  Overrides:
    getDataType in class Source
  Returns:
    The fundamental `Source` that represents the OLAP API Date data type.

### gt

    public final BooleanSource gt(java.util.Date rhs)

  Compares the value of each element of this `DateSource` to the specified `Date` value, and determines whether it has a greater value.
  Parameters:
    `rhs` - The `Date` value that you want to compare to the values of the elements of this `DateSource`.
  Returns:
    A `BooleanSource` that has an element with a value of `true` when the value of the corresponding element of this `DateSource` is greater than the specified `Date` value, or `false` when it is not.
  See Also:
    `Source.gt(Source rhs)`

### le

    public final BooleanSource le(java.util.Date rhs)

  Compares the value of each element of this `DateSource` to the specified `Date` value, and determines whether it has a lesser or equal value.
  Parameters:
    `rhs` - The `boolean` value that you want to compare to the values of the elements of this `DateSource`.
  Returns:
    A `BooleanSource` that has an element with a value of `true` when the value of the corresponding element of this `DateSource` is less than or equal to the specified `Date` value, or `false` when it is not.
  See Also:
    `Source.le(Source rhs)`

### lt

    public final BooleanSource lt(java.util.Date rhs)

  Compares the value of each element of this `DateSource` to the specified `Date` value, and determines whether it has a lesser value.
  Parameters:
    `rhs` - The `Date` value that you want to compare to the values of the elements of this `DateSource`.
  Returns:
    A `BooleanSource` that has an element with a value of `true` when the value of a given element of this `DateSource` is less than the specified `Date` value, or `false` when it is not.
  See Also:
    `Source.lt(Source rhs)`

### ne

    public final BooleanSource ne(java.util.Date rhs)

  Compares the value of each element of this `DateSource` to the specified `Date` value, and determines whether it is not equal to the value.
  Parameters:
    `rhs` - The `Date` value that you want to compare to the values of the elements of this `DateSource`.
  Returns:
    A `BooleanSource` that has an element with a value of `true` when the value of a given element of this `DateSource` is not equal to the specified `Date` value, or `false` when it is equal to the specified value.
  See Also:
    `Source.ne(Source rhs)`

### plusDays

    public final DateSource plusDays(int rhs)

  Adds the specified number of days to the value of each element of this `DateSource`. For example, the following code creates a `DateSource`, `aDate`, and then adds five days to the value of `aDate`. The `dp` object is the `DataProvider`.

       // Creates an instance of the java.util.Date class
       Date now = new Date();
       DateSource aDate = dp.createConstantSource(now);
       DateSource aDatePlus5 = aDate.plusDays(5);

  If the value of `aDate` is `Wed Jan 15 14:24:23 GMT 2003`, then the value of `aDatePlus5` is `Mon Jan 20 14:24:23 GMT 2003`.
  Parameters:
    `rhs` - The `int` value that specifies the number of days that you want to add to the values of the elements of this `DateSource`.
  Returns:
    A `DateSource` that has the elements of this `DateSource` with the `Date` value of each element increased by the specified number of days.

### plusDays

    public final DateSource plusDays(NumberSource rhs)

  Adds the specified number of days to the value of each element of this `DateSource`.
  Parameters:
    `rhs` - A `NumberSource` whose element values specify the number of days that you want to add to the values of the elements of this `DateSource`.
  Returns:
    A `DateSource` that has elements whose values are the `Date` values of this `DateSource` increased by the number of days specified by `rhs`.

### plusMonths

    public final DateSource plusMonths(int rhs)

  Adds the specified number of months to the value of each element of this `DateSource`.
  Parameters:
    `rhs` - The `int` value that specifies the number of months that you want to add to the values of the elements of this `DateSource`.
  Returns:
    A `DateSource` that has the elements of this `DateSource` with the `Date` value of each element increased by the specified number of months.

### plusMonths

    public final DateSource plusMonths(NumberSource rhs)

  Adds the specified number of months to the value of each element of this `DateSource`.
  Parameters:
    `rhs` - A `NumberSource` whose element values specify the number of months that you want to add to the values of the elements of this `DateSource`.
  Returns:
    A `DateSource` that has elements whose values are the `Date` values of this `DateSource` increased by the number of months specified by `rhs`.

### positionOfValue

    public final NumberSource positionOfValue(java.util.Date value)

  Identifies the positions of elements in this `DateSource` that have the specified `Date` values.
  Parameters:
    `value` - A `DateSource` that has the values that you want to compare to the values of the elements of this `DateSource`.
  Returns:
    A `NumberSource` whose elements have `int` values that identify the positions of the elements in this `DateSource` that have the specified `Date` values. If this `DateSource` does not have any elements that have the specified values, then this method returns an empty `NumberSource`, which has no elements.
  See Also:
    `Source.positionOfValues(Source values)`

### positionOfValues

    public final NumberSource positionOfValues(java.util.Date[] values)

  Identifies the positions of elements in this `DateSource` that have the specified `Date` values.
  Parameters:
    `value` - An array of `Date` values that you want to compare to the values of the elements of this `DateSource`.
  Returns:
    A `NumberSource` whose elements have `int` values that identify the positions of the elements in this `DateSource` that have the specified `Date` values. If this `DateSource` does not have any elements that have the specified values, then this method returns an empty `NumberSource`, which has no elements.
  See Also:
    `Source.positionOfValues(Source values)`

### removeValue

    public final DateSource removeValue(java.util.Date value)

  Removes the elements of this `DateSource` that have the specified `Date` value.
  Parameters:
    `value` - The `Date` value you do not want to have in the returned `DateSource`.
  Returns:
    A `DateSource` that has the elements of this `DateSource` that do not have the specified `Date` value.
  See Also:
    `Source.removeValue(Source value)`

### removeValues

    public final DateSource removeValues(java.util.Date[] values)

  Removes the elements of this `DateSource` that have the specified `Date` values.
  Parameters:
    `value` - A `DateSource` that has the `Date` values you do not want to have in the returned `DateSource`.
  Returns:
    A `DateSource` that has the elements of this `DateSource` that do not have the specified `Date` values.
  See Also:
    `Source.removeValues(Source values)`

### selectValue

    public final DateSource selectValue(java.util.Date value)

  Selects the elements of this `DateSource` that have the specified `Date` value.
  Parameters:
    `value` - The `Date` value to compare to the values of the elements of this `DateSource`.
  Returns:
    A `DateSource` that has the elements of this `DateSource` that have the specified `Date` value.
  See Also:
    `Source.selectValue(Source value)`

### selectValues

    public final DateSource selectValues(java.util.Date[] values)

  Selects the elements of this `DateSource` that have the specified `Date` values.
  Parameters:
    `value` - A `DateSource` that has the values to compare to the values of the elements of this `DateSource`.
  Returns:
    A `DateSource` that has the elements of this `DateSource` that have the specified `Date` values.
  See Also:
    `Source.selectValues(Source values)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.